Bug 1460451 - Monitor fails to wake from standby
Monitor fails to wake from standby
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-10 13:45 EDT by Ivor Durham
Modified: 2017-08-24 01:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -ab | egrep -i '(nouveau|gnome|gpu)' output (144.96 KB, text/plain)
2017-06-10 13:45 EDT, Ivor Durham
no flags Details

  None (edit)
Description Ivor Durham 2017-06-10 13:45:42 EDT
Created attachment 1286715 [details]
journalctl -ab | egrep -i '(nouveau|gnome|gpu)' output

After the monitor goes into standby mode, neither keyboard nor mouse action wakes it up. (No display signal.) The system as a whole remains up (it's an active server).

Version-Release number of selected component (if applicable):

F25 Workstation - it was occurring with F24 too and with an upgrade to F25 before some dnf corruption caused me to do a fresh install from scratch.

Gnome 3.22
Kernel 4.10.17
xorg-x11-drv-nouveau-1.0.15-2.fc25.x86_64

How reproducible:

Boot the system and leave it for 30 mins or so. I can login and work successfully immediately after a reboot, but once I leave it for a while the problem seems to occur.

Actual results:

Display fails to wake up.

Expected results:

Display wakes up to show login screen.

Additional info:

I've attached the output from "journalctl -ab | egrep -i '(nouveau|gnome|gpu)'"

The last entries of potential relevance from the attached log are:

Jun 08 16:26:13 clowder org.gnome.Shell.desktop[1986]: nouveau: kernel rejected pushbuf: Cannot allocate memory
Jun 08 16:26:13 clowder kernel: nouveau 0000:01:00.0: systemd-logind[907]: fail ttm_validate

I've tried logging in via ssh to execute "systemctl restart gdm"; the display wakes up to show the restart activity and then goes into standby again and I'm still unable to wake it up via the keyboard or mouse. I have to reboot to be able to login again from the keyboard.

The system is a Dell Dimension e520 (x86_64).
The display hardware is an NVIDIA GeForce 7300 LE

lspci -vv shows the following for the display controller:

01:00.0 VGA compatible controller: NVIDIA Corporation G72 [GeForce 7300 LE] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Dell Device 0405
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 29
        Region 0: Memory at dd000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Region 3: Memory at de000000 (64-bit, non-prefetchable) [size=16M]
        Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
                Address: 00000000fee0300c  Data: 41b2
        Capabilities: [78] Express (v1) Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <256ns, L1 <4us
                        ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset- SlotPowerLimit 25.000W
                DevCtl: Report errors: Correctable- Non-Fatal+ Fatal+ Unsupported-
                        RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
                        MaxPayload 128 bytes, MaxReadReq 512 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Exit Latency L0s <256ns, L1 <4us
                        ClockPM- Surprise- LLActRep- BwNot- ASPMOptComp-
                LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
        Capabilities: [100 v1] Virtual Channel
                Caps:   LPEVC=0 RefClk=100ns PATEntryBits=1
                Arb:    Fixed- WRR32- WRR64- WRR128-
                Ctrl:   ArbSelect=Fixed
                Status: InProgress-
                VC0:    Caps:   PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
                        Arb:    Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
                        Ctrl:   Enable+ ID=0 ArbSelect=Fixed TC/VC=01
                        Status: NegoPending- InProgress-
        Capabilities: [128 v1] Power Budgeting <?>
        Kernel driver in use: nouveau
        Kernel modules: nouveau
Comment 1 Ivor Durham 2017-08-03 11:29:58 EDT
I finally got so frustrated with this problem making the system unusable from the keyboard (and which has been occurring at least since F23) that I tried changing the graphics card: I replaced the NVIDIA GeForce 7300 LE graphics card (nouveau driver)with an inexpensive MSI Radeon HD 6450 (radeon driver). Problem apparently solved. This suggests the bug is a nouveau driver issue. The GeForce 7300 LE is still being sold, so others may encounter this problem.

Note You need to log in before you can comment on or make changes to this bug.